Subject: [Spits] fixing transmission leak?

From: [email-masked]
Date: Mon, 15 Sep 2014 18:23:19 +0000 (UTC)

So ever since I rebuilt my transmission, it has been taking longer & longer to engage the overdrive. This means it has been low on tranny fluid. A fill-up fixes it, but I want to fix the root cause. When I did a tranny rebuild, I instead used my own cut gaskets & sealant instead of the thin paper gaskets. 

I'm wondering if I messed up somewhere. Is it difficult to fix said transmission leak without having to take the transmission out again? I feel dumb not checking this before putting it back in. 
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive